\name{TileAnalysisCheck}
\alias{TileAnalysisCheck}
\title{TileAnalysisCheck}
\usage{TileAnalysisCheck(data, noofperms, winsize, qvalue, gcmode, gcnum,
    score.function, randomize, diff, diff.variant, regions.filename,
    zscore, verbose)}
\description{Checks parameter for exported function \code{\link{TileAnalysis}}.}
\details{Checks parameter for exported function \code{\link{TileAnalysis}} whether
they are missing, have a incorrect data type, or are obviously not correct,
e.g., filename parameter refers to non-existing file.}
\value{None but the given paramters into their correct data type if
necessary and possible.}
\keyword{internal}
\arguments{\item{data}{A \code{data.frame} with non-zero rows and the columns fullname
(\code{factor} or \code{character}), name (\code{factor} or
\code{character}), centerpos (\code{integer}), probelength
(\code{integer}), intensity (\code{numeric}), and gc
(\code{numeric}) with only non-NA values. Moreover, the gc must
have values in the range [0,1].}
\item{noofperms}{An \code{integer} value greater than zero.}
\item{winsize}{An \code{integer} value greater than zero.}
\item{qvalue}{A \code{numeric} value between zero and one (both boundaries
included).}
\item{gcmode}{A \code{character} value from the set of valid values
("fixed", "automatic").}
\item{gcnum}{An \code{integer} value. If \code{gcmode} is set to "fixed"
only values from the set (1, 2, 3, 4, or 5) are valid.}
\item{score.function}{A \code{character} value from the set of valid values
("mean", "trimmed", or "median").}
\item{randomize}{A \code{logical} value.}
\item{diff}{A \code{logical} value.}
\item{diff.variant}{A \code{character} value from the set of valid values
("A" or "B"). Only required if \code{diff} is enabled.}
\item{regions.filename}{Filename as a \code{character} to existing file or
set to \code{NULL}.}
\item{zscore}{A \code{logical} value.}
\item{verbose}{A \code{logical} value.}}
