\name{TileCalcWinMedian}
\alias{TileCalcWinMedian}
\title{TileCalcWinMedian}
\usage{TileCalcWinMedian(int, win.idx)}
\description{Calculates median on probe scores with window indices.}
\details{Calculates median on probe scores with window indices, a \code{list} storing
window start positions. More precisely, \code{win.idx} has the maximal number
of probes in a window as length and in its \code{i}th entry, it stores only
start positions of windows containing at least \code{(i+1)} probes. In case
of short but numerous windows, the window scores can be calculated very
efficiently by use of optimized \code{vector} operations. Otherwise, please
consider using \code{\link{TileCalcWinMedian2}} instead.}
\value{A \code{numeric} \code{vector} containing the median of the window
scores for each possible start position. Note that windows of length
zero are not supported and hence treated as windows of length one.
Moreover, probe scores with the value \code{NA} are excluded from the
calculation.}
\keyword{internal}
\arguments{\item{int}{A \code{numeric} \code{vector} containing one or more probe
scores (i.e. intensities or log-fold changes).}
\item{win.idx}{A \code{list} with the maximal number of probes in a window
as its length. In entry \code{i}, it stores only start positions of
windows containing at least \code{(i+1)} probes.}}
