\name{TileShuffleOutput}
\alias{TileShuffleOutput}
\title{TileShuffleOutput}
\usage{TileShuffleOutput(bed, input.type, signal.filename, cel.filename,
    cel2.filename, celinc.filename, custom.filename, custom2.filename,
    custominc.filename, bpmap.filename, minhits, group, pmonly,
    normalize, mod.tstat, noofperms, winsize, qvalue, gcmode, gcnum,
    score.function, randomize, diff, diff.variant, regions.filename,
    zscore.filename, output.filename, verbose)}
\description{Reports the output for the exported function \code{\link{TileShuffle}}.}
\details{Reports the output for the exported function \code{\link{TileShuffle}} as a
BED-formatted output file that is written and comprises information on the
segments identified as significantly (differentially) expressed. Moreover,
if \code{zscore.filename} is given accordingly (not set to \code{NULL}) an
addiional BED-formatted file is written that comprises the analyzed windows
of the statistical analysis. Note that any existing file will be overwritten.
Moreover, all generated files contain header information marked by `#' at the
beginning of the line that lists the used parameters with their values and
the description of the columns in the corresponding file.}
\value{None. All output is written to the \code{output.filename} and
\code{zscore.filename} if \code{zscore.filename} is not \code{NULL}.}
\keyword{internal}
\arguments{\item{bed}{A \code{list}, reported by \code{\link{TileAnalysis}}, with two
entries where the first one stores all information on the windows
including their z-score in case the \code{zscore.filename} is not set
to \code{NULL} while the second one keeps the information on the
segments identified as (differentially) expressed.}
\item{input.type}{The type of input data which contains the probe and
intensity information. In case of \code{input.type == 1}, the input
is read by use of the function \code{\link{TileReadSignal}}. On the
other hand, in case of \code{input.type == 2}, the input is read
by using the function \code{\link{TileReadCel}} while it is read by
\code{\link{TileReadCustom}} if \code{input.type == 3} is selected.}
\item{signal.filename}{Filename as a \code{character} that is required by
the function \code{\link{TileReadSignal}}.}
\item{cel.filename}{A \code{vector} of one or more filenames as
\code{character} that is required by the function
\code{\link{TileReadCel}}.}
\item{cel2.filename}{A \code{vector} of one or more filenames as
\code{character} that is required by the function
\code{\link{TileReadCel}} if \code{diff} is enabled.}
\item{celinc.filename}{A \code{vector} of one or more filenames as
\code{character} that may be provided to the function
\code{\link{TileReadCel}}.}
\item{custom.filename}{A \code{vector} of one or more filenames as
\code{character} that is required by the function
\code{\link{TileReadCustom}}.}
\item{custom2.filename}{A \code{vector} of one or more filenames as
\code{character} that is required by the function
\code{\link{TileReadCustom}} if \code{diff} is enabled.}
\item{custominc.filename}{A \code{vector} of one or more filenames as
\code{character} that may be provided to the function
\code{\link{TileReadCustom}}.}
\item{bpmap.filename}{Filename as a \code{character} that is required by the
function \code{\link{TileReadSignal}} and \code{\link{TileReadCel}}.}
\item{minhits}{An \code{integer} value that is required by the function
\code{\link{TileReadSignal}} and \code{\link{TileReadCel}}.}
\item{group}{A \code{character} value that is required by the function
\code{\link{TileReadSignal}} and \code{\link{TileReadCel}}.}
\item{pmonly}{A \code{logical} value that may be provided to the function
\code{\link{TileReadCel}} and \code{\link{TileReadCustom}}.}
\item{normalize}{A \code{logical} value that may be provided to the function
\code{\link{TileReadCel}} and \code{\link{TileReadCustom}}.}
\item{mod.tstat}{A \code{logical} value that may be provided to the function
\code{\link{TileReadCel}} and \code{\link{TileReadCustom}}.}
\item{noofperms}{An \code{integer} value that is required by the function
\code{\link{TileAnalysis}}.}
\item{winsize}{An \code{integer} value that is required by the function
\code{\link{TileAnalysis}}.}
\item{qvalue}{A \code{numeric} value that is required by the function
\code{\link{TileAnalysis}}.}
\item{gcmode}{A \code{character} value that is required by the function
\code{\link{TileAnalysis}}.}
\item{gcnum}{An \code{integer} value that is required by the function
\code{\link{TileAnalysis}}.}
\item{score.function}{A \code{character} value that is required by the
function \code{\link{TileAnalysis}}.}
\item{randomize}{A \code{logical} value that is required by the function
\code{\link{TileAnalysis}}.}
\item{diff}{A \code{logical} value that is required by the function
\code{\link{TileAnalysis}}.}
\item{diff.variant}{A \code{character} value that is required by the
function \code{\link{TileAnalysis}} if \code{diff} is enabled.}
\item{regions.filename}{Filename as a \code{character} that may be provided
to to the function \code{\link{TileAnalysis}}.}
\item{zscore.filename}{Filename as a \code{character} where the analyzed
windows by of the statistical analysis including the given
information are written to (if \code{zscore.filename} is not set
to \code{NULL}). Note that any existing file will be overwritten.}
\item{output.filename}{Filename as a \code{character} where the identified
segments including the given information are written to. Note that
any existing file will be overwritten.}
\item{verbose}{A \code{logical} value.}}
